Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Sep 2014, 19:58
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Audacity-2.0.5-i686 Compiled in Precise 5.6.1
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [26 Posts]   Goto page: 1, 2 Next
Author Message
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Wed 12 Mar 2014, 14:50    Post subject:  Audacity-2.0.5-i686 Compiled in Precise 5.6.1
Subject description: free, open source, cross-platform software for recording and editing sounds.
 

Audacity-2.0.5-i686
Audacity Website http://audacity.sourceforge.net/


audacity-2.0.5-i686.pet Download (compiled with static wxWidgets-2.8.12 so wxWidgets is not needed.)

audacity-rev13079-i686.pet Download aka Audacity 2.0.6-alpha-Mar 24 2014 (compiled with static wxWidgets-2.8.12 so wxWidgets is not needed.) development version

Required dependences (you may need other libs for your version of Puppy,this was compiled in 5.6.1)

jack-audio-connection-kit-0.121.3-i686.pet Download

If you want DEV,DOC or NLS pets they are all in my repo. Everyting needed to compile is also in my repo
Link to my repo https://www.mediafire.com/folder/cc4nimp92ba71/Precise_5.6.1

Last edited by scabz on Thu 27 Mar 2014, 03:11; edited 5 times in total
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
musher0


Joined: 04 Jan 2009
Posts: 4236
Location: Gatineau (Qc), Canada

PostPosted: Sun 23 Mar 2014, 16:57    Post subject:  

Hi, scabz.

I have little use for Audacity at present, but it's good to know that you have this
big alternative Puppy repo.

Thanks for making it available to Puppyists.

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Sun 23 Mar 2014, 20:41    Post subject:    

Your welcome musher0, i try to give back to the community as much as i can.
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
don570


Joined: 10 Mar 2010
Posts: 3287
Location: Ontario

PostPosted: Mon 24 Mar 2014, 13:51    Post subject:  

Audacity 2.0.5 will probably run on Slacko as well if libsamplerate and libjack is added
to Slacko. I will test.

I have found this to be true with previous compiled versions
of Audacity. There are several different libsamplerate packages available
on the forum. I use the smallest one.

Also I got my overnite Audacity package to work on Quirky6
by just adding a libjpeg link.

___________________________________________--
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Mon 24 Mar 2014, 14:47    Post subject:  

just let me know what is needed and i can repackage it for Slacko, thanks don570
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
don570


Joined: 10 Mar 2010
Posts: 3287
Location: Ontario

PostPosted: Mon 24 Mar 2014, 15:05    Post subject:  

I probably got dependencies from here...

http://www.murga-linux.com/puppy/viewtopic.php?search_id=936130116&t=25372

I'll try them tonite.

If Sox is needed then I use
sox-14.2.0-with-deps.pet
_________________________________________
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Mon 24 Mar 2014, 15:36    Post subject:  

Sox is not needed

--edit here is all required Libs
Code:
# ldd ./audacity
   linux-gate.so.1 =>  (0xffffe000)
   libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb72c5000)
   libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb7216000)
   libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb71f4000)
   libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb71aa000)
   libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb715b000)
   librt.so.1 => /lib/librt.so.1 (0xb7152000)
   libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb7059000)
   libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb7054000)
   libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0xb704e000)
   libSM.so.6 => /usr/lib/libSM.so.6 (0xb7045000)
   libpng12.so.0 => /lib/libpng12.so.0 (0xb701b000)
   libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0xb6fc4000)
   libtiff.so.4 => /usr/lib/libtiff.so.4 (0xb6f61000)
   libexpat.so.1 => /lib/libexpat.so.1 (0xb6f36000)
   libz.so.1 => /lib/libz.so.1 (0xb6f20000)
   libdl.so.2 => /lib/libdl.so.2 (0xb6f1b000)
   libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0xb6da3000)
   libvorbisfile.so.3 => /usr/lib/libvorbisfile.so.3 (0xb6d99000)
   libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0xb6d6d000)
   libogg.so.0 => /usr/lib/libogg.so.0 (0xb6d65000)
   libmad.so.0 => /usr/lib/libmad.so.0 (0xb6d4d000)
   libsndfile.so.1 => /usr/lib/libsndfile.so.1 (0xb6cdb000)
   libid3tag.so.0 => /usr/lib/libid3tag.so.0 (0xb6ccb000)
   libasound.so.2 => /usr/lib/libasound.so.2 (0xb6bd9000)
   libjack.so.0 => /usr/lib/libjack.so.0 (0xb6bba000)
   libpthread.so.0 => /lib/libpthread.so.0 (0xb6b9f000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0xb6a6b000)
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6986000)
   libm.so.6 => /lib/libm.so.6 (0xb695a000)
   libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb693c000)
   libc.so.6 => /lib/libc.so.6 (0xb6793000)
   libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb6785000)
   libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb677f000)
   libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb675f000)
   libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb6694000)
   libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb653d000)
   libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6510000)
   libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb64dc000)
   libXext.so.6 => /usr/lib/libXext.so.6 (0xb64ca000)
   libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb64c0000)
   libXi.so.6 => /usr/lib/libXi.so.6 (0xb64b0000)
   libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb64a6000)
   libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb649b000)
   libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb6497000)
   libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb6493000)
   libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb648e000)
   libffi.so.6 => /usr/lib/libffi.so.6 (0xb6486000)
   libpcre.so.3 => /lib/libpcre.so.3 (0xb644a000)
   libICE.so.6 => /usr/lib/libICE.so.6 (0xb6430000)
   libuuid.so.1 => /lib/libuuid.so.1 (0xb642c000)
   /lib/ld-linux.so.2 (0xb772f000)
   libFLAC.so.8 => /usr/lib/libFLAC.so.8 (0xb63de000)
   libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb63bc000)
   libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb6322000)
   libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb628a000)
   libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0xb6286000)
   libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb627c000)
   libselinux.so.1 => /lib/libselinux.so.1 (0xb625c000)
   libresolv.so.2 => /lib/libresolv.so.2 (0xb6244000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0xb6240000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb6239000)
#
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
don570


Joined: 10 Mar 2010
Posts: 3287
Location: Ontario

PostPosted: Mon 24 Mar 2014, 16:57    Post subject:  

I remember now. Recent versions of Audacity have dropped sox as a
dependency and it can be compiled without the need of libsamplerate.
__________________________________________________
Back to top
View user's profile Send private message 
OscarTalks

Joined: 05 Feb 2012
Posts: 876
Location: London, England

PostPosted: Mon 24 Mar 2014, 20:18    Post subject:  

Hello Gents,
Scabz, it looks like you are managing to put together some good stuff just lately. I gave your Audacity a very quick test in Precise 5.7.1 and it seemed to be running OK. Did the ffmpeg support just compile or did you have to find a workaround for it? By the way, the ffmpeg (libav) may be a problem if anyone tries to use the Precise version in Slacko.

I did want to try to compile it in Wheezy because the Precise one uses glibc-2.15 so will not run in Wheezy which has 2.13 but to be honest it is giving me a few problems. I have not managed to compile it at all. Using the configure --without-ffmpeg solves one error but I get hit by various others.

So I decided to see if I would have more luck in Slacko 5.7 and although I had similar problems with the 2.0.5 tarball I did manage to compile the very latest source code from SVN which shows as Audacity-2.0.6-alpha although it still won't build with the ffmpeg import/export feature. There was a problem with libFLAC++ missing and also I had to use the shared wxWidgets libs because trying to configure it as a static build gave yet another error.

Also, I didn't include jack. Not sure what extra features jack actually adds anyway.
audacity-2.0.6.jpg
 Description   Audacity 2.0.6 alpha (no ffmpeg) in Slacko 5.7
 Filesize   88.38 KB
 Viewed   318 Time(s)

audacity-2.0.6.jpg


_________________
Oscar in England

Back to top
View user's profile Send private message 
Moat

Joined: 16 Jul 2013
Posts: 181

PostPosted: Mon 24 Mar 2014, 20:58    Post subject:  

OscarTalks wrote:
Scabz, it looks like you are managing to put together some good stuff just lately. I gave your Audacity a very quick test in Precise 5.7.1 and it seemed to be running OK.


Ditto here - applied your Jack and Audacity .pets to a Precise 5.7.1 Retro frugal install, and although no heavy editing or saving was done, a quick spin shows all seems to be working just fine. Thanks! Smile
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Tue 25 Mar 2014, 00:12    Post subject:  

Hello OscarTalks
Quote:
Did the ffmpeg support just compile or did you have to find a workaround for it?

Sorry man i really cant remember it was days ago when i compiled it. --edit i just compiled it and had no problems

Quote:
I had to use the shared wxWidgets libs because trying to configure it as a static build gave yet another error.

if you haven't done much static builds then you should do a little more research it can be a pain. You have to manually edit the Makefile after each error and dont run ./configure --prefix=/usr --build=i686-t2-linux-gnu --blabla it will undo what you changed in the Makefile. (hint you will need to go to /audacity/src/Makefile and in that Makefile where the line starts with "LIBS =" add -lX11 to the end) it would also be good to run a make clean then run your ./configure and re edit that makefile agin because running ./configure wips it then make and you know the rest.

I might compile the alpha later.

--edit forgot to reply about Jack
jack is needed to connect audacity to othe apps.
say i take my guitar plug it into my mic or line inputs then i run it though rakarrack http://rakarrack.sourceforge.net/ then rakarrack goes through jack to connect to audacity. Jack provides a way for other apps to connect to audacity or other audio programs.

Last edited by scabz on Tue 25 Mar 2014, 03:27; edited 1 time in total
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Tue 25 Mar 2014, 02:55    Post subject:  

Development version has been compiled and posted.
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
don570


Joined: 10 Mar 2010
Posts: 3287
Location: Ontario

PostPosted: Tue 25 Mar 2014, 14:52    Post subject:  

I've been checking for compatibility. Raring puppy is fine.

Older versions of Puppy don't work because of glib including
Racy and Carolina.

It does work with Quirky6 when libjack and libjpeg.so.8 is added.

I will check Slacko 5.7 since libflac is needed.


.
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Tue 25 Mar 2014, 23:54    Post subject:  

Thanks for testing don570 your awesome!!!
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
OscarTalks

Joined: 05 Feb 2012
Posts: 876
Location: London, England

PostPosted: Wed 26 Mar 2014, 00:52    Post subject:  

@ Scabz, Thanks for the information regarding jack.

I have made some progress with a Wheezy build. Will try to see if I can do a static wx build later but it is not essential. See this post here:-
http://www.murga-linux.com/puppy/viewtopic.php?t=80546&start=669

_________________
Oscar in England

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [26 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1015s ][ Queries: 12 (0.0075s) ][ GZIP on ]